How to explode a block keeping objects attributes?

In essence emulating Explode command in Rhino?

You could always script the _-Explode command.

– Dale

I hate the command line feedback when scripting Rhino commands 'cause it slows things down.
I’m gonna sift thru block objects and copy attributes attaching them to geometry. See if that works meanwhile.

EDIT:
Well, I just copied the block objects and moved them, rather then exploding the block itself… That was easy…

    tmp = block.GetObjects()
    xform = Rhino.Geometry.Transform.Translation(Rhino.Geometry.Point3d(x, y, 0) - Rhino.Geometry.Point3d.Origin)
    blkxpcs = []
    for j in tmp:
        blkxpcs.append(Rhino.DocObjects.ObjRef(sc.doc.Objects.Transform(j, xform, False)).Object())

Hi @Asterisk,

You can use InstanceObject.GetSubObjects. There is also this sample.

SampleCsExplodeBlock.cs

– Dale